For the complete documentation index, see llms.txt. This page is also available as Markdown.

Watch a variant

Adds a variant to the authenticated customer's watched items.

post
Authorizations
AuthorizationstringRequired

Your storefront (public) token, sent as Authorization: Bearer STOREFRONT_TOKEN. Generate one in Auction Plus under Settings > API, in the Storefront API section, by clicking Generate Public Token. Required on every request.

Query parameters
fields[watched-items]stringOptional

Available values are automatic, createdAt, updatedAt. You can include multiple values by separating them with a comma.

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl. You can include multiple values by separating them with a comma.

fields[auction-items]stringOptional

Available values are startPrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, enableReserve, reserveMet, processed, createdAt, updatedAt, canceledAt. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

viewerFieldsstringOptional

Comma-separated per-viewer fields to return under meta.viewer on the resource and any included resources. Available values: hasBid, isWatching, isHighBidder. Requires an authenticated customer.

Example: hasBid,isWatching
includestringOptional

Comma-separated list of related resources to include in the response. Available values: variant, product, variant.currentAuctionItem.

Body
externalVariantIdintegerRequired

The Shopify external variant ID to watch.

Responses
201

WatchedItemResource

application/vnd.api+json
post/watched-items
POST /storefront/v1/watched-items HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "externalVariantId": 1
}
{
  "data": {
    "id": "text",
    "type": "text",
    "attributes": {
      "automatic": true,
      "createdAt": null,
      "updatedAt": null
    },
    "relationships": {
      "variant": {
        "data": {
          "type": "variants",
          "id": "text"
        }
      },
      "product": {
        "data": {
          "type": "products",
          "id": "text"
        }
      }
    }
  }
}

Last updated